PeopleSync API
  1. Notifications
PeopleSync API
  • Authentication
    • Authenticate user
      POST
    • Get current user
      GET
  • Roles
    • List all roles
      GET
    • Create a new role
      POST
    • Get role details
      GET
    • Update role
      PUT
  • Departments
    • List all departments
      GET
    • Create a new department
      POST
    • Get department details
      GET
    • Update department
      PUT
  • Employees
    • List employees
      GET
    • Create employee
      POST
    • Get employee details
      GET
    • Update employee
      PUT
  • Attendances
    • Record clock-in
      POST
    • Sync offline attendances
      POST
  • Leaves
    • List leaves
      GET
    • Create leave request
      POST
    • Approve/reject leave
      PATCH
  • SalaryComponents
    • List all salary components
      GET
    • Create a new salary component
      POST
    • Get salary component details
      GET
    • Update salary component
      PUT
  • Payroll
    • Generate payroll
  • Jobs
    • Check job status
  • Uploads
    • Get presigned upload URL
  • Settings
    • Get organization settings
    • Update settings
  • ActivityLogs
    • List activity logs
  • Notifications
    • List notifications
      GET
  • System
    • Health check
  • Schemas
    • Schemas
      • MetaPagination
      • ErrorResponse
      • UUID
      • AuthLoginRequest
      • User
      • AuthLoginResponse
      • Role
      • Department
      • DepartmentCreate
      • DepartmentUpdate
      • Employee
      • EmployeeCreate
      • EmployeeUpdate
      • Attendance
      • AttendanceClockIn
      • AttendanceSync
      • Leave
      • LeaveCreate
      • LeaveApprove
      • SalaryComponent
      • SalaryComponentCreate
      • SalaryComponentUpdate
      • Payroll
      • PayrollItem
      • PayrollGenerate
      • PayrollSnapshot
      • ActivityLog
      • Notification
      • Setting
      • SettingUpdate
      • JobStatus
      • PresignedUrl
      • PresignRequest
      • HealthCheck
    • Response
      • Unauthorized
      • Forbidden
      • NotFound
      • ValidationError
      • Conflict
  1. Notifications

List notifications

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
GET
/notifications
Get notifications for the authenticated user

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.your-api-server.com/notifications?page&per_page&is_read' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Notifications retrieved
Body

Example
{
    "data": [
        {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "title": "Payroll Finished",
            "message": "Payroll for Nov 2025 has been processed.",
            "is_read": false,
            "sent_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2025-11-26T14:35:00Z"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 120,
        "last_page": 5,
        "from": 1,
        "to": 25
    }
}
🟠401Unauthorized
Modified at 2025-11-17 05:13:15
Previous
List activity logs
Next
Health check
Built with